--- title: "Get last access information for sub account" slug: "management-subaccount-getlastaccesssummary" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getlastaccesssummary" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get last access information for sub account Available in Classic and VPC Get the last access information for a sub account. You can view the last sub account login date and time, last Git login (Source Commit) date and time, and last access key usage date and time. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/users/{subAccountId}/last-access-summary | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subAccountId` | String | Required | Sub account ID - See [Get sub account list](/docs/en/management-subaccount-getsubaccounts). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/users/dfafe250-****-****-****-246e96591594/last-access-summary' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subAccountId` | String | - | Sub account ID | | `lastLogin` | String | - | Last sub account login date and time - ISO 8601 format | | `lastGitLogin` | String | - | Last Git (SourceCommit) login date and time - ISO 8601 format | | `lastAccessKeyUsed` | Array | - | Last AccessKey usage information: [lastAccessKeyUsed](/docs/en/management-subaccount-getlastaccesssummary#lastAccessKeyUsed) | | `unusedDays` | String | - | Number of days the sub account has not been used - ISO 8601 format | #### `lastAccessKeyUsed` The following describes `lastAccessKeyUsed`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `accessKey` | String | - | AccessKey | | `lastUsed` | String | - | Last AccessKey usage date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "idNo": "dfafe250-****-****-****-246e96591594", "lastLogin": "2025-12-10T04:44:29.467Z", "lastGitLogin": "2025-12-10T04:44:29.467Z", "lastAccessKeyUsed": [ { "accessKey": "ncp_iam_BGAS********", "lastUsed": "2025-12-10T04:44:29.467Z" } ], "lastUsedTime": "2025-12-10T04:44:29.467Z", "unusedDays": 0 } ```